Bug 1637957 - Closing GNOME Software outside of the main page causes it to glitch
Summary: Closing GNOME Software outside of the main page causes it to glitch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException AcceptedBlocker
Depends On:
Blocks: F29FinalBlocker F29FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-10-10 11:54 UTC by AsciiWolf
Modified: 2018-10-21 15:47 UTC (History)
8 users (show)

Fixed In Version: gnome-software-3.30.3-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-21 15:47:14 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
How the glitch looks like (805.89 KB, application/octet-stream)
2018-10-10 11:54 UTC, AsciiWolf
no flags Details

Description AsciiWolf 2018-10-10 11:54:44 UTC
Created attachment 1492549 [details]
How the glitch looks like

Description of problem:
If GNOME Software is closed on any other page than the main page and then started again, the page that was previously opened is shown instead of the main page. However, clicking the arrow in the left corner of the GS window to get back to the main page does not seem to work anymore at this point and there is no other way to exit the current page than killing the gnome-software process. This happens on the latest GS 3.30.2 on Fedora Silverblue 29, however it doesn't happen on older GS 3.28 on regular Fedora 28.

Version-Release number of selected component (if applicable):
gnome-software-3.30.2-1.fc29.x86_64

How reproducible:
Every time.

Steps to Reproduce:
See the attached video.

Actual results:
Clicking the "Back" button does nothing.

Expected results:
Clicking the "Back" button shows the previous page.

Additional info:
This was already fixed in upstream, see this commit: https://gitlab.gnome.org/GNOME/gnome-software/commit/b9a39ee3705a47ab3da92a6cf4241d53c202a87d

Comment 1 Kalev Lember 2018-10-10 12:01:40 UTC
Proposing as a F29 FE so that we can avoid an embarrassing bug in Workstation default install where gnome-software gets stuck in a way that's difficult to get out of (reboot or killing gnome-software from command line).

Comment 2 Adam Williamson 2018-10-10 15:06:52 UTC
There's even an argument for blocker here (under the 'basic functionality' criterion), but I'm definitely +1 FE.

Comment 3 Mohan Boddu 2018-10-10 15:09:26 UTC
I agree with Adam Williamson here, it can be considered as a blocker as well.

But for now +1 FE.

Comment 4 Kamil Páral 2018-10-12 14:13:04 UTC
+1 FE, marking as accepted. Also proposing as a blocker.

Comment 5 Kalev Lember 2018-10-12 14:59:02 UTC
I'll do an upstream bug fix release on Monday and a Fedora build then as well, there's another embarrassing bug I'd like to get fixed while we're respinning gnome-software.

Comment 6 Geoffrey Marr 2018-10-15 19:18:28 UTC
Discussed during the 2018-10-15 blocker review meeting: [1]

The decision to classify this bug as an "AcceptedBlocker" was made as it violates the following criteria:

"All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test."

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2018-10-15/f29-blocker-review.2018-10-15-16.00.txt

Comment 7 Geoffrey Marr 2018-10-18 13:47:55 UTC
Seeing this as well.

Comment 8 Fedora Update System 2018-10-18 13:57:37 UTC
gnome-software-3.30.3-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-447d45de07

Comment 9 Geoffrey Marr 2018-10-18 14:08:47 UTC
The above fix from comment 8 works and fixes this issue.

Comment 10 Lukas Ruzicka 2018-10-19 09:24:51 UTC
The fix works without issues, and solves this bug. Verified.

Comment 11 Fedora Update System 2018-10-20 19:23:11 UTC
gnome-software-3.30.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-447d45de07

Comment 12 Fedora Update System 2018-10-21 15:47:14 UTC
gnome-software-3.30.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.